Bug 1142553 - rpmrebuild fails with -bb: unknown option
rpmrebuild fails with -bb: unknown option
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Bruno Friedmann
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-24 01:59 UTC by Felix Miata
Modified: 2020-02-23 20:52 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Miata 2019-07-24 01:59:55 UTC
Original summary:
rpmrebuild fails with -bb: unknown option

# rpm -qa | grep libICE
libICE6-1.0.9-4.7.x86_64
# rpm -qa | grep rpmr
rpmrebuild-2.14-1.4.noarch
# rpmrebuild libICE6-1.0.9-4.7.x86_64
(GenRpmQf) remove tag line ENHANCESFLAGS
(GenRpmQf) remove tag line ENHANCESNAME
(GenRpmQf) remove tag line ENHANCESVERSION
(GenRpmQf) remove tag line SUGGESTSFLAGS
(GenRpmQf) remove tag line SUGGESTSNAME
(GenRpmQf) remove tag line SUGGESTSVERSION
rpm: -bb: unknown option
/usr/lib/rpmrebuild/rpmrebuild.sh: ERROR: package 'libICE6-1.0.9-4.7.x86_64' build failed

This was necessitated by bug 1142530. Earlier today it failed on another TW-64 installation, but on a TW 32bit it worked as expected.
Comment 1 Bruno Friedmann 2020-02-23 20:52:54 UTC
Seems to be a lost in somewhere bug :-)

rpmrebuild got recently an update, and I've been able to rebuild with no problem libICE 

If you can't with 2.15 version, please reopen the bug.